Ask Your Question
0

Kdenlive complaining about a module missing that is already installed. How to resolve this error?

asked 2014-11-03 09:43:50 -0500

updated 2014-11-06 01:06:37 -0500

I'm importing my mini-dv tapes to my computer system, and I installed Kdenlive, and wanted to try it for the task. But it's complaining about a missing module that is already installed. Is this common? Is this a bug? What can I do to resolve this?

Here is kdenlive on the system:

[root@Hostname ~]$ yum list kdenlive
Loaded plugins: fastestmirror, langpacks, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: www.fedora.is
 * rpmfusion-free: www.fedora.is
 * rpmfusion-free-updates: www.fedora.is
 * rpmfusion-nonfree: www.fedora.is
 * rpmfusion-nonfree-updates: www.fedora.is
 * updates: www.fedora.is
Installed Packages
kdenlive.x86_64                0.9.8-2.fc20                 @rpmfusion-free-updates

Here is the module installed, please tell me if it is not the right module:

[root@hostname folder]# yum list libdv
Loaded plugins: fastestmirror, langpacks, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: www.fedora.is
 * rpmfusion-free: www.fedora.is
 * rpmfusion-free-updates: www.fedora.is
 * rpmfusion-nonfree: www.fedora.is
 * rpmfusion-nonfree-updates: www.fedora.is
 * updates: www.fedora.is
Installed Packages
libdv.i686                          1.0.0-16.fc20                        @fedora  
libdv.x86_64                        1.0.0-16.fc20                        @anaconda

Here is the error:

DV module(libdv)
Required to work with dv files if avformat module is not installed
edit retag flag offensive close merge delete

Comments

Is your kdenlive installed from a different repository? It might have a dependency on a module that has already been updated by core?

cobra gravatar imagecobra ( 2014-11-03 09:56:31 -0500 )edit
1

I would open a bug at RPMFusion guys.

sudhirkhanger gravatar imagesudhirkhanger ( 2014-11-03 12:18:39 -0500 )edit

This is an exact duplicate of https://ask.fedoraproject.org/en/question/56623/kdenlive-complaining-about-a-missing-module-that-is-already-installed-what-is-going-on-here/ I'm keeping this one open because it has an answer and the other one doesn't.

sideburns gravatar imagesideburns ( 2014-11-03 13:23:52 -0500 )edit

@sideburns I got an error on the posting, so I tried again, obviously it went through, but on my end I just got an white page with an error message. I thought I couldn't post, until I saw replies by email.

somethingSomething gravatar imagesomethingSomething ( 2014-11-03 14:25:02 -0500 )edit

@cobra It is installed from rpmfusion

somethingSomething gravatar imagesomethingSomething ( 2014-11-03 14:28:39 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
1

answered 2014-11-05 15:35:24 -0500

There is a developer saying that the libdv module is deprecated in the later builds, here.

Excerpt:

*A next thing I saw was in the configuration wizard that the DV module (libdv) is not checked (so not installed). But if I look in Synaptic then I see that libdv4 version 1.0.0-6 is installed.*

(0010239)
pez4brian   (developer)
2014-08-16 17:42

We have disabled libdv by default in the latest MLT because libav/ffmpeg support dv very well. libdv is now deprecated. My advice would be to remove the specifc libdv check from KDENLIVE.
edit flag offensive delete link more

Comments

1

I need check this because , rpmfusion have one MLT , and kdenlive depends on it , anyway should be a good topic on rpmfusion Maling list

sergiomb gravatar imagesergiomb ( 2014-11-05 21:50:25 -0500 )edit
1

My advice would be to remove the specifc libdv check from KDENLIVE. I suppose that must be done by Kdenlive devs.

sudhirkhanger gravatar imagesudhirkhanger ( 2014-11-06 04:24:22 -0500 )edit
3

answered 2014-11-06 10:50:17 -0500

sergiomb gravatar image

updated 2014-11-06 10:52:22 -0500

Hi, I maintain mlt package on rpmfusion, reading now mlt.spec

%configure \
        --enable-gpl                            \
        --enable-gpl3                            \
        --enable-motion-est                     \
%ifarch ppc ppc64 
        --disable-mmx                           \
        --disable-sse                           \
        --disable-xine                          \
%endif
        --qimage-libdir=%{_qt4_libdir}          \
        --qimage-includedir=%{_qt4_headerdir}   \
        --rename-melt=%{name}-melt              \
        --avformat-swscale                      \
        --swig-languages="python php %{?ruby:ruby}"

I think, I don't disable nothing , but I'm a little busy to analyze this , or is in kdenlive that we should disable ? Please open a bug in rpmfusion

https://bugzilla.rpmfusion.org/enter_bug.cgi?product=Fedora

and let me know if not an mlt bug report Thanks,

edit flag offensive delete link more

Comments

@sergiomb I've also been busy, do you still think I should file a bug at rpmfusion, this looks like mlt issue from what I can find out: look at my answer here

somethingSomething gravatar imagesomethingSomething ( 2014-11-13 14:01:15 -0500 )edit
1

ok I will try to see this, this weekend, tks.

sergiomb gravatar imagesergiomb ( 2014-11-13 18:33:43 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2014-11-03 09:43:50 -0500

Seen: 2,171 times

Last updated: Nov 06 '14